/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
/**
 * 
 */
package it.laitspa.cpf.faces.utils;

import java.util.TimeZone;

import javax.faces.convert.DateTimeConverter;

/**
 * @author andrea
 *
 */
public class MyDateTimeConverter
  extends DateTimeConverter
{

  /**
   * 
   */
  public MyDateTimeConverter()
  {
    setTimeZone(TimeZone.getDefault());
  }

  @Override
  public TimeZone getTimeZone()
  {
    return TimeZone.getDefault();
  }
  /*
  @Override
  public String getAsString(FacesContext arg0, UIComponent arg1, Object arg2)
  {
    if(getType()!=null && (getType().equals("time") || getType().equals("both") ))
      setPattern("dd/MM/yyyy HH:mm:ss");
    else
      setPattern("dd/MM/yyyy");
    return super.getAsString(arg0, arg1, arg2);
  }*/
  
}
